Loading...
Searching...
No Matches
gsd_img_tif.c File Reference

OGSF library - TIFF stuff. More...

`#include <grass/config.h>`
`#include <stdlib.h>`
`#include <sys/types.h>`
`#include <grass/gis.h>`
`#include <grass/ogsf.h>`
`#include <grass/glocale.h>`
`#include <tiffio.h>`
Include dependency graph for gsd_img_tif.c:

Go to the source code of this file.

## Functions

int | GS_write_tif (const char *name)
| Write data to tif file.

## Variables

unsigned short | config = PLANARCONFIG_CONTIG
unsigned short | compression = -1
unsigned short | rowsperstrip = 0

## Detailed Description

OGSF library - TIFF stuff.

GRASS OpenGL gsurf OGSF Library

(C) 1999-2008 by the GRASS Development Team

- added little/big endian test Markus Neteler
- modified to PPM by Bob Covill bcovi.nosp@m.ll@t.nosp@m.ekmap.nosp@m..ns..nosp@m.ca
- changed 10/99 Jaro
- Created new function GS_write_tif based on RGB dump

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Bill Brown USACERL, GMSL/University of Illinois
  Markus Neteler
  Jaro Hofierka
  Doxygenized by Martin Landa <landa.martin gmail.com> (May 2008)

Definition in file gsd_img_tif.c.

## Function Documentation

## GS_write_tif()

int GS_write_tif | ( | const char * | name | ) |

Write data to tif file.

Parameters

  name | filename

Returns
  1 on error
  0 on success

Definition at line 53 of file gsd_img_tif.c.

References config, G_free(), G_warning(), gsd_getimage(), name, NULL, rowsperstrip, and x.

## Variable Documentation

## compression

unsigned short compression = -1

Definition at line 42 of file gsd_img_tif.c.

## config

unsigned short config = PLANARCONFIG_CONTIG

Definition at line 41 of file gsd_img_tif.c.

Referenced by GS_write_tif().

## rowsperstrip

unsigned short rowsperstrip = 0

Definition at line 43 of file gsd_img_tif.c.

Referenced by GS_write_tif().